class CreateMembershipSettings < ActiveRecord::Migration[5.1]
  def change
    create_table :membership_settings do |t|
      t.string :membership_type, :null => false, :default => "internal"
      t.boolean :is_active, :null => false, :default => true
      t.string :gateway_communication_type, :null => false, :default => "api"
      t.string :gateway_url
      t.string :auth_token
      t.string :merchant_account_id
      t.string :created_by

      t.timestamps
    end
  end
end
